#ifndef __SYNTAX_HELPERS_H__
#define __SYNTAX_HELPERS_H__

#include <string>
#include <vector>

namespace common {
    struct DataModel;
}

namespace s2a {

std::string converToGlobalName(const std::string& name);

bool removeDataPrefix(std::string& str);

void cleanString(std::string& str);

void extractGlobalNames(std::string& str, common::DataModel* localDataModel);


} //namespace s2a

#endif //__SYNTAX_HELPERS_H__