#ifndef __AUTOMATA_OUTPUT_H__
#define __AUTOMATA_OUTPUT_H__

namespace common {
	struct AutomataSystem;
    struct Automaton;
}

struct GraphVizContext;

namespace output {
    

int generateCode(const common::AutomataSystem* system);

int generateAutomatonScheme(GraphVizContext* context, const common::Automaton* automaton, char* fileName);

int generateAutomataSystemSchemes(const common::AutomataSystem* system);

}  //namespace output

#endif //__AUTOMATA_OUTPUT_H__
