#ifndef __FUNCTION_H__
#define __FUNCTION_H__

#include <string>
#include <vector>

#include <common/Variable.h>

namespace common {

struct Function
{
	std::string fullSignature;
	std::string name;
    std::string type;
	std::vector<common::Variable> parameters;
	std::vector<common::Variable> localVariables;

	Function(const std::string& functionDeclaration);
	
};


} //namespace common

#endif // __FUNCTION_H__