#include <string>

namespace common {
    struct SyntaxTreeNode;
}


namespace parser {

struct Part{
    std::string text;
    common::SyntaxTreeNode* link;
    int lineNumber;

    std::vector<std::string> changeSet; //variables affected by part of statement
    std::vector<std::string> dependsOn; //variables that this statement depends on
       
    Part():link(NULL)
    {

    }
};


} //namespace parser