#include <QtGui/QApplication>
#include "tracer_v2.h"
#include "Logger.h"

#define TRACER_VERSION "2.0"

Tracer_v2* pApp;

void subsystemStartup()
{
    logger.init();
    QString startupStr;
    startupStr.append("Tracer v").append(TRACER_VERSION).append(" started \n");
    startupStr.append("Built on ").append(__DATE__).append("\n");
    logger.logLine(Logger::MSG_NONE, startupStr);
}


int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    Tracer_v2 tracerApp;
    tracerApp.show();
    pApp = &tracerApp;
    subsystemStartup();
    return a.exec();
}
